<? if(!defined("B_PROLOG_INCLUDED") || B_PROLOG_INCLUDED !== true) die();

CUtil::InitJSCore( array('ajax' , 'jquery' , 'popup' ));

CModule::IncludeModule("azid.taplogin");

if (TapLogin::isActive() != "Y")
	return false;

global $USER;

$arResult["NODE_ID"] = TapLogin::getNodeId();
$bIsUserAttached = false;

if ($USER->IsAuthorized())
{
	$bIsUserAttached = TapLoginUser::isUserAttached($USER->GetID());
	$arResult["USER"] = CUser::GetByID($USER->GetID())->Fetch();
}

$arResult["USER_IS_ATTACHED"] = $bIsUserAttached;

if (@$_POST['auth_token_id'] && @$_POST['auth_token'])
{
	$objConfirmAuthResponse = AuthConfirmation::confirm($_POST["auth_token_id"], $_POST["auth_token"], $_SERVER["HTTP_REFERER"], $_SERVER["REMOTE_ADDR"]);

	if ($objConfirmAuthResponse->authenticated == 0)
	{
		if (isset($objConfirmAuthResponse->error))
			$arResult["ERROR"] = $objConfirmAuthResponse->error;
	}
	elseif ($objConfirmAuthResponse->authenticated == 1)
	{
		$employee_id = $objConfirmAuthResponse->employee_id;
		$arUser = TapLoginUser::GetUserByAzidId($employee_id)->Fetch();

		if (!$arUser && !$USER->IsAuthorized())
		{
			$arResult = array_merge($_POST, $arResult);
			
			$arResult["employee_id"] = $objConfirmAuthResponse->employee_id;
			$arResult["employee_login"] = $objConfirmAuthResponse->login;
			
			$arResult["EMAIL_GENERATION"] = TapLogin::isActiveEmailGeneration();
			
			if ($arResult["EMAIL_GENERATION"] == "Y")
			{
				$ID = TapLoginUser::Add(array(
					"employee_id"    => $employee_id,
					"employee_login" => $arResult["employee_login"]
				));
				
				if ($ID)
				{
					$USER->Authorize($ID);
					LocalRedirect($APPLICATION->GetCurPageParam("taplogin_message=".urlencode(GetMessage('TAPLOGIN_ACCOUNT_CREATED')), array("taplogin_message")));
				}
			}
			else
			{
				$objResponse = TapAuthorization::requestData(array('employee_id' => $employee_id), array('email'), $_SERVER["HTTP_HOST"]);
		
				if ($objResponse)
					$arResult["REQUEST_ID"] = $objResponse->request_id;
				
				$arResult["NEW_USER"] = "Y";
			}
			
		}
		else
		{
			if (!$bIsUserAttached && @$_POST["attach_taplogin"])
			{
				if (TapLoginUser::UserAttach($USER->GetID(), $employee_id) === false)
				{
					LocalRedirect($APPLICATION->GetCurPageParam("taplogin_message=".urlencode(GetMessage('TAPLOGIN_ACCOUNT_CREATE_ERROR')), array("taplogin_message")));
				}
				else
				{
					LocalRedirect($APPLICATION->GetCurPageParam("taplogin_message=".urlencode(GetMessage('TAPLOGIN_ACCOUNT_ATTACHED')), array("taplogin_message")));
				}
			}
			else
			{
				$USER->Authorize($arUser["USER_ID"]);
				LocalRedirect();
			}
		}
	}
}

$arResult["COMPONENT_PATH"] = $this->GetPath();

$this->IncludeComponentTemplate();

?>