<?
if(!$USER->CanDoOperation('edit_other_settings'))
	$APPLICATION->AuthForm(GetMessage("ACCESS_DENIED"));

IncludeModuleLangFile($_SERVER["DOCUMENT_ROOT"].BX_ROOT."/modules/main/options.php");
IncludeModuleLangFile(__FILE__);

$module_id = "azid.taplogin";
CModule::IncludeModule($module_id);

$aTabs = array(
	array("DIV" => "edit1", "TAB" => GetMessage("MAIN_TAB_SET"), "ICON" => "", "TITLE" => GetMessage("MAIN_TAB_TITLE_SET")),
);
$tabControl = new CAdminTabControl("tabControl", $aTabs);

if($_SERVER["REQUEST_METHOD"] == "POST" && $_POST["Update"].$_POST["Apply"].$_POST["RestoreDefaults"] <> '' && check_bitrix_sessid())
{
	
	if($_POST["RestoreDefaults"] <> '')
	{
		COption::RemoveOption($module_id);
	}
	else
	{
		COption::SetOptionString($module_id, "use_taplogin_auth", $_POST["use_taplogin_auth"]);
		COption::SetOptionString($module_id, "taplogin_email_generation", $_POST["taplogin_email_generation"]);
		COption::SetOptionString($module_id, "taplogin_node_id", $_POST["taplogin_node_id"]);
		COption::SetOptionString($module_id, "taplogin_secret_key", $_POST["taplogin_secret_key"]);
	}

	if(strlen($_REQUEST["back_url_settings"]) > 0)
	{
		if($_POST["Apply"] <> '' || $_POST["RestoreDefaults"] <> '')
			LocalRedirect($APPLICATION->GetCurPage()."?mid=".urlencode($module_id)."&lang=".urlencode(LANGUAGE_ID)."&back_url_settings=".urlencode($_REQUEST["back_url_settings"])."&".$tabControl->ActiveTabParam().($_REQUEST["siteTabControl_active_tab"] <> ''? "&siteTabControl_active_tab=".urlencode($_REQUEST["siteTabControl_active_tab"]):''));
		else
			LocalRedirect($_REQUEST["back_url_settings"]);
	}
	else
	{
		LocalRedirect($APPLICATION->GetCurPage()."?mid=".urlencode($module_id)."&lang=".urlencode(LANGUAGE_ID)."&".$tabControl->ActiveTabParam().($_REQUEST["siteTabControl_active_tab"] <> ''? "&siteTabControl_active_tab=".urlencode($_REQUEST["siteTabControl_active_tab"]):''));
	}
}

?>

<form method="post" name="taplogin_settings" action="<?echo $APPLICATION->GetCurPage()?>?mid=<?=urlencode($module_id)?>&amp;lang=<?=urlencode(LANGUAGE_ID)?>">
<?
$tabControl->Begin();
$tabControl->BeginNextTab();
?>
<tr><td colspan="2">

<?
$aSiteTabs = array(array("DIV" => "opt_common", "TAB" => GetMessage("TAPLOGIN_SETTINGS_COMMON_TITLE"), 'TITLE' => GetMessage("socserv_sett_common_title"), 'ONSELECT'=>"document.forms['socserv_settings'].siteTabControl_active_tab.value='opt_common'"));
$siteTabControl = new CAdminViewTabControl("siteTabControl", $aSiteTabs);
$siteTabControl->Begin();
$siteTabControl->BeginNextTab();
?>

<table cellpadding="0" cellspacing="0" border="0" class="edit-table" width="100%">

	<tr class="heading">
		<td colspan="2"><?=GetMessage("TAPLOGIN_SETTINGS_TITLE")?></td>
	</tr>
	
	<tr valign="top">
		<td width="50%" class="field-name"><b><?=GetMessage("TAPLOGIN_USING")?></b></td>
		<td width="50%"><input type="checkbox" name="use_taplogin_auth" value="Y"<?if(COption::GetOptionString($module_id, "use_taplogin_auth") == "Y") echo ' checked'?> id="use_taplogin_auth"></td>		
	</tr>
	<tr valign="top">
		<td width="50%" class="field-name">
			<?=GetMessage("TAPLOGIN_EMAIL_GENERATION")?><br />
			<small><?=GetMessage("TAPLOGIN_EMAIL_GENERATION_HINT")?></small>
		</td>
		<td width="50%"><input type="checkbox" name="taplogin_email_generation" value="Y"<?if(COption::GetOptionString($module_id, "taplogin_email_generation") == "Y") echo ' checked'?> id="taplogin_email_generation"></td>		
	</tr>
	<tr>
		<td width="50%" class="field-name">NODE_ID:</td>
		<td width="50%">
			<input type="text" name="taplogin_node_id" value="<?=COption::GetOptionString($module_id, "taplogin_node_id");?>" id="taplogin_node_id" maxlength="255" size="40"><br/>
			<?=GetMessage("TAPLOGIN_CREATE_NODE_HINT")?> <a href="https://www.TeddyID.com/control/new_desktop_app_node.php" target="_blank">TeddyID.com</a>
		</td>
	</tr>
	<tr valign="top">
		<td width="50%" class="field-name">SECRET_KEY:</td>
		<td width="50%">
			<input type="text" name="taplogin_secret_key" value="<?=COption::GetOptionString($module_id, "taplogin_secret_key");?>" id="taplogin_secret_key" maxlength="255" size="40"><br/>
			<span><a href="" onclick="genSecretKey();return false;"><?=GetMessage("TAPLOGIN_GENERATE_KEY")?></a><br />
			<small><?=GetMessage("TAPLOGIN_GENERATE_KEY_HINT")?></small></span>
		</td>
	</tr>

</table>

<script type="text/javascript">
function genSecretKey()
{
	var taplogin_secret_key_input = BX('taplogin_secret_key');
	
	BX.ajax({
		url: '/bitrix/tools/taplogin_secure_random.php',
		method: 'POST',
		dataType: 'json',
		async: false,
		processData:true,
		cache:false,
		onsuccess:function(data) {
			taplogin_secret_key_input.value = data.secure_key;
			taplogin_secret_key_input.focus();
		},
	});
	return false;
}
</script>
		
<?
$siteTabControl->End();
?>
		
</td></tr>
<?$tabControl->Buttons();?>
	<input type="hidden" name="siteTabControl_active_tab" value="<?=htmlspecialcharsbx($_REQUEST["siteTabControl_active_tab"])?>">
<?if($_REQUEST["back_url_settings"] <> ''):?>
	<input type="submit" name="Update" value="<?=GetMessage("MAIN_SAVE")?>" title="<?=GetMessage("MAIN_OPT_SAVE_TITLE")?>">
<?endif?>
	<input type="submit" name="Apply" value="<?=GetMessage("MAIN_OPT_APPLY")?>" title="<?=GetMessage("MAIN_OPT_APPLY_TITLE")?>">
<?if($_REQUEST["back_url_settings"] <> ''):?>
	<input type="button" name="Cancel" value="<?=GetMessage("MAIN_OPT_CANCEL")?>" title="<?=GetMessage("MAIN_OPT_CANCEL_TITLE")?>" onclick="window.location='<?echo htmlspecialcharsbx(CUtil::addslashes($_REQUEST["back_url_settings"]))?>'">
	<input type="hidden" name="back_url_settings" value="<?=htmlspecialcharsbx($_REQUEST["back_url_settings"])?>">
<?endif?>
	<input type="submit" name="RestoreDefaults" title="<?echo GetMessage("MAIN_HINT_RESTORE_DEFAULTS")?>" onclick="return confirm('<?echo AddSlashes(GetMessage("MAIN_HINT_RESTORE_DEFAULTS_WARNING"))?>')" value="<?echo GetMessage("MAIN_RESTORE_DEFAULTS")?>">
	<?=bitrix_sessid_post();?>
<?$tabControl->End();?>
</form>
